import 'package:elevarm_ui/elevarm_ui.dart';
import 'package:flutter/material.dart';

/// [ElevarmIcon] with ripple background border
class ElevarmIconRipple extends StatelessWidget {
  /// Color of background
  final Color backgroundColor;

  /// Color of background border
  final Color rippleColor;

  /// Filename of icon's asset
  final String iconAssetName;

  /// Color of icon
  final Color iconColor;

  /// Height of container
  final double height;

  /// Width of container
  final double width;

  /// Width of background border
  final double rippleSize;
  const ElevarmIconRipple({
    super.key,
    required this.backgroundColor,
    required this.rippleColor,
    required this.iconAssetName,
    required this.iconColor,
    this.height = 48,
    this.width = 48,
    this.rippleSize = 8,
  });

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        height: height,
        width: width,
        decoration: BoxDecoration(
          shape: BoxShape.circle,
          color: backgroundColor,
          border: Border.all(
            width: rippleSize,
            color: rippleColor,
          ),
        ),
        child: ElevarmIcon(
          iconAssetName,
          color: iconColor,
        ),
      ),
    );
  }
}
